package com.webssa.pda.sunmi.broadcasting.impl;

import android.content.Context;
import android.content.Intent;

import androidx.annotation.Nullable;

import com.webssa.pda.sunmi.broadcasting.BaseAppBroadcastReceiver;
import com.webssa.pda.sunmi.broadcasting.BroadcastingEventCallback;

/**
 * Created by stanislav.perchenko on 11/6/2019, 11:34 AM.
 */
public class NoteCreatedBroadcastReceiver extends BaseAppBroadcastReceiver {
    private final BroadcastingEventCallback callback;

    public NoteCreatedBroadcastReceiver(@Nullable BroadcastingEventCallback callback) {
        this.callback = callback;
    }

    @Override
    public String getActionName() {
        return getClass().getSimpleName();
    }

    @Override
    protected String getIntentMessageKey() {
        return null;
    }

    @Override
    public void onReceive(Context context, Intent intent) {
        if (callback != null) callback.onEventHappen();
    }
}
