package com.webssa.pda.sunmi.broadcasting.impl;

import android.content.Intent;

import androidx.annotation.Nullable;

import com.webssa.pda.sunmi.broadcasting.EntityChangeBroadcastReceiver;
import com.webssa.pda.sunmi.broadcasting.EntityChangeCallback;
import com.webssa.pda.sunmi.storage.dbmodel.impl.VisitDbModel;

/**
 * Created by stanislav.perchenko on 11/10/2019, 8:53 PM.
 */
public class VisitStateChangedBroadcastReceiver extends EntityChangeBroadcastReceiver<VisitDbModel> {
    public VisitStateChangedBroadcastReceiver(@Nullable EntityChangeCallback<VisitDbModel> callback) {
        super(callback);
    }

    @Override
    protected String getIntentMessageKey() {
        return "visit";
    }

    public Intent getFullIntent(VisitDbModel visit) {
        Intent i = getBroadcastingIntent();
        i.putExtra(getIntentMessageKey(), visit);
        return i;
    }
}
