package com.webssa.pda.sunmi.core

import android.net.Uri
import com.squareup.moshi.JsonClass
import com.webssa.pda.sunmi.rest.model.UserEntity
import java.util.*

@JsonClass(generateAdapter = true)
data class Session(
        val user: UserEntity,
        val timeLoggedIn: Date,
        val accessToken: String,
        val expiresIn: Int,
        val refreshToken: String? = null,
        val documentShiftStart: Uri? = null,
        val documentShiftEnd: Uri? = null,
        val documentDieselPurchase: Uri? = null
)