package com.webssa.pda.sunmi.rest.model

import com.squareup.moshi.Json
import com.squareup.moshi.JsonClass
import com.webssa.pda.sunmi.rest.model.impl.ShiftRestEntity
import com.webssa.pda.sunmi.rest.model.impl.SiteEntity
import com.webssa.pda.sunmi.rest.model.impl.VisitEntity

@JsonClass(generateAdapter = true)
data class AcceptShiftResponse (

        @Json(name = "shift")
        val shift: ShiftRestEntity,

        @Json(name = "visits")
        val relatedVisits: Set<VisitEntity>,

        @Json(name = "sites")
        val relatedSites: Set<SiteEntity>
)