package com.webssa.pda.sunmi.rest.model.impl

import com.squareup.moshi.Json
import com.squareup.moshi.JsonClass
import com.webssa.pda.sunmi.rest.model.IdProvidingModel
import com.webssa.pda.sunmi.rest.model.LongId
import com.webssa.pda.sunmi.rest.model.VisitState
import java.util.*

@JsonClass(generateAdapter = true)
data class VisitStateEntity(
        @Json(name = "visit_id")
        val id: LongId<VisitEntity>,            ////////////////////////////////////////////////////

        @Json(name = "state")
        val state: VisitState,                  ////////////////////////////////////////////////////

        @Json(name = "start_time")
        val actualStartTime: Date? = null,      ////////////////////////////////////////////////////

        @Json(name = "complete_time")
        val actualCompleteTime: Date? = null,    ///////////////////////////////////////////////////

        @Json(name = "note")
        val note: NoteEntity? = null

) : IdProvidingModel {

    override fun id(): LongId<VisitEntity> {
        return id
    }

}