package com.webssa.pda.sunmi.ui.activity;

import android.content.Intent;
import android.os.Bundle;

import androidx.appcompat.app.AppCompatActivity;

import com.webssa.pda.sunmi.core.LoadEmergenciesService;
import com.webssa.pda.sunmi.core.SessionHolder;
import com.webssa.pda.sunmi.core.LoadGoodsService;
import com.webssa.pda.sunmi.service.UploadShiftNotesService;
import com.webssa.pda.sunmi.ui.NavigationHelper;

public class LauncherActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        if (SessionHolder.isLoggedIn()) {
            LoadGoodsService.launch(getApplicationContext());
            LoadEmergenciesService.launch(getApplicationContext());
            UploadShiftNotesService.launch(getApplicationContext());
            NavigationHelper.goMainScreen(this, false);
        } else {
            startActivity(new Intent(this, LoginActivity.class));
        }
        finish();
    }
}
