package com.webssa.pda.sunmi.ui.activity;

import androidx.annotation.Nullable;

import com.webssa.library.core.error.AppError;
import com.webssa.pda.sunmi.model.LocalVisitResult;
import com.webssa.pda.sunmi.rest.model.impl.PricedGoodEntity;
import com.webssa.pda.sunmi.storage.dbmodel.impl.PricedGoodDbModel;
import com.webssa.pda.sunmi.storage.dbmodel.impl.VisitDbModel;
import com.webssa.pda.sunmi.ui.baseview.ContextProvidingView;

import java.util.List;

/**
 * Created by stanislav.perchenko on 11/15/2019, 11:01 AM.
 */
public interface VisitEditorActivityView extends ContextProvidingView {

    void onVisitLoaded(@Nullable VisitDbModel visit);
    void onGoodsLoaded(List<PricedGoodDbModel> goodCategs);

    void onFailVisitCompleted();
    void onFailVisitFailed(AppError reason);

    void onCompleteVisitCompleted(LocalVisitResult visitResult);
    void onCompleteVisitFailed(AppError reason);

}
