package com.webssa.pda.sunmi.ui.adapter;

import androidx.annotation.Nullable;

import com.webssa.pda.sunmi.storage.dbmodel.ScheduledModel;

import java.util.Date;

/**
 * Created by stanislav.perchenko on 07.07.2020 at 13:13.
 */
public class AdHocVisitSlotModel implements ScheduledModel {

    public final int slotOrder;
    private final int scheduledTimeMs;

    public AdHocVisitSlotModel(int slotOrder, int scheduledTimeMs) {
        this.slotOrder = slotOrder;
        this.scheduledTimeMs = scheduledTimeMs;
    }

    @Nullable
    @Override
    public Date scheduledDate() {
        return new Date();
    }

    @Override
    public int scheduledTimeMillis() {
        return scheduledTimeMs;
    }
}
