﻿using PDA.Database.EntityModels;
using PDA.Database.Models;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace PDA.BL.Interfaces
{
    public interface ITokenService
    {
        Task<UserToken> GenerateNewAccesssToken(string userId);
        Task<string> GetRefreshToken(string userId);
        Task<string> GetAccessTokenId(string userId);
        Task<UserToken> GetAccessToken(string userId);
    }
}
