﻿using PDA.BL.Interfaces;
using PDA.Database.EntityModels;
using PDA.Database.Interfaces;
using PDA.Database.Models;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace PDA.BL.Services
{
    public class DriverService : IDriverService
    {
        private readonly IDriverRepository _driverRepository;
        public DriverService(IDriverRepository driverRepository)
        {
            _driverRepository = driverRepository;
        }
        public async Task<string> CheckDriverExists(string phone, string pin) => await _driverRepository.CheckDriverExists(phone, pin);

        public async Task<string> CheckDriverExistsEmail(string email, string pin) => await _driverRepository.CheckDriverExistsEmail(email, pin);
       

        public async Task<User> GetDriverAsync(string id) => await _driverRepository.GetDriverByIdAsync(id);

        public string GetUserRole(string id) => _driverRepository.GetUserRole(id);
       
    }
}
