﻿using PDA.BL.Interfaces;
using PDA.Database.EntityModels;
using PDA.Database.Interfaces;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace PDA.BL.Services
{
    public class EmergencyService : IEmergencyService
    {
        private readonly IEmergencyRepository _emergencyRepository;
        public EmergencyService(IEmergencyRepository emergencyRepository) => _emergencyRepository = emergencyRepository;
        public async Task<List<Emergency>> GetEmergencies() => await _emergencyRepository.GetEmergencies();
       
    }
}
