﻿using PDA.BL.Interfaces;
using PDA.Database.EntityModels;
using PDA.Database.Interfaces;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace PDA.BL.Services
{
    public class NoteService : INoteService
    {
        private readonly INoteRepository _noteRepository;
        public NoteService(INoteRepository noteRepository) => _noteRepository = noteRepository;

        public async Task<Note> CreateNote(string userId, Note note) => await _noteRepository.CreateNote(userId, note);

        public async Task<string> SaveAttahment(string url, int noteId, int imageOrder) => await _noteRepository.SaveAttahment(url, noteId, imageOrder);
      
    }
}
