﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;

namespace PDA.Database.EntityModels
{
    public class Note
    {
        [Key]
        public int NoteId { get; set; }
        public DateTimeOffset TimeCreated { get; set; }
        public int ShiftId { get; set; }
        public int? VisitId { get; set; }
        public string Text { get; set; }
        public int Number { get; set; }
        public int? EmergencyId { get; set; }
        public string UserId { get; set; }
        public  List<NoteAttachment> NoteAttachments { get; set; }
        public  Emergency Emergency { get; set; }
        public  Shift Shift { get; set; }
        public  Visit Visit { get; set; }
        public  User User { get; set; }
    }
}
