﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;

namespace PDA.Database.EntityModels
{
    public class Shift
    {
        [Key]
        public int ShiftId { get; set; }
        public DateTime ExecutionDate { get; set; }
        public DateTime? ScheduledTimeStart { get; set; }
        public DateTime? Duration { get; set; }
        public int NumVisits { get; set; }
        public int? NumVisitsCompleted { get; set; }
        public int? NumVisitsFailed { get; set; }
        public int StateId { get; set; }
        public string UserId { get; set; }
        public DateTimeOffset? ActualTimeStart { get; set; }
        public DateTimeOffset? ActualTimeClosed { get; set; }
        public  User User { get; set; }
        public  List<Visit> Visits { get; set; }
        public  List<Note> Notes { get; set; }
        public  ShiftState State { get; set; } 
    }
}
