﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Text;

namespace PDA.Database.EntityModels
{
    public class Site
    {
        [Key]
        public int SiteId { get; set; }
        [Column(TypeName = "varchar(128)")]
        public string Name { get; set; }
        public int Code { get; set; }
        public double Latitude { get; set; }
        public double Longitude { get; set; }
        public Guid UUID { get; set; }
        public bool Deleted { get; set; }
        [Column(TypeName = "varchar(128)")]
        public string Address1 { get; set; }
        [Column(TypeName = "varchar(128)")]
        public string Address2 { get; set; }
        [Column(TypeName = "varchar(128)")]
        public string Town { get; set; }
        [Column(TypeName = "varchar(128)")]
        public string City { get; set; }
        [Column(TypeName = "varchar(128)")]
        public string Postcode { get; set; }
        public  List<Visit> Visits { get; set; }

        [Column(TypeName = "varchar(4)")]
        public string PaymentMethod { get; set; }
        [Column(TypeName = "varchar(20)")]
        public string ShopCodeName { get; set; }
    }
}
