﻿using Microsoft.AspNetCore.Identity;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;

namespace PDA.Database.EntityModels
{
    public class UserToken
    {
        [Key]
        public Guid TokenId { get; set; }
        public string UserId { get; set; }
        public string TokenType { get; set; }
        public DateTime CreatedAt { get; set; }
        public DateTime ExpiresAt { get; set; }
        public User User { get; set; }
    }
}
