﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Text;

namespace PDA.Database.EntityModels
{
    public class Visit
    {
        [Key]
        public int VisitId { get; set; }
        public int ShiftId { get; set; }
        public int SiteId { get; set; }
        public int Order { get; set; }
        public DateTime SuggestTime { get; set; }
        public DateTimeOffset? StartTime { get; set; }
        public DateTimeOffset? CompleteTime { get; set; }
        public int StateId { get; set; }
        [Column(TypeName = "varchar(128)")]
        public string CustomerName { get; set; }
        public string CustomerSignature { get; set; }
        public int? TotalPayedAmount { get; set; }
        public int? TotalPayedScale { get; set; }
        public  Note Note { get; set; }
        public  Site Site { get; set; }
        public  VisitState State { get; set; }
        public  List<CollectedGood> CollectedGoods { get; set; }
        public  Shift Shift { get; set; }
        public int ClearBags { get; set; }
        public bool IsWhiteSacks { get; set; }
    }
}
