﻿using PDA.Database.EntityModels;
using PDA.Database.Models;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace PDA.Database.Interfaces
{
    public interface IShiftRepository
    {
        Task<Shift> FindNewShiftForDate(string userId);
        Task<Shift> AcceptShift(int shiftId);
        Task<Shift> RejectShift(int shiftId, string userId);
        Task<Shift> GetByShiftId(int shiftId, string userId);
        Task<Shift> CloseShift(int shiftId, DateTimeOffset? closeTime, string userId);
        Task CloseShift(Shift shift, DateTimeOffset? closeTime, bool completedVisit);
    }
}
