﻿using Microsoft.EntityFrameworkCore;
using PDA.Database.EntityModels;
using PDA.Database.Interfaces;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PDA.Database.Repositories
{
    public class EmergencyRepository: IEmergencyRepository
    {
        private readonly PDADbContext _context;
        public EmergencyRepository(PDADbContext context)
        {
            _context = context;
        }

        public async Task<List<Emergency>> GetEmergencies() => await _context.Emergencies.ToListAsync();
        
    }
}
