﻿using Newtonsoft.Json;

namespace PDA.API.WebModels
{
    public class LoginAnswer
    {
        [JsonProperty("success")]
        public bool Success { get; set; }
        [JsonProperty("msg_error", DefaultValueHandling = DefaultValueHandling.Ignore)]
        public string ErrorMessage { get; set; }
        [JsonProperty("access_token", DefaultValueHandling = DefaultValueHandling.Ignore)]
        public string AccessToken { get; set; }
        [JsonProperty("expires_in", DefaultValueHandling = DefaultValueHandling.Ignore)]
        public int ExpiresIn { get; set; }
        [JsonProperty("refresh_token", DefaultValueHandling = DefaultValueHandling.Ignore)]
        public string RefreshToken { get; set; }
        [JsonProperty("user", DefaultValueHandling = DefaultValueHandling.Ignore)]
        public UserEntity User { get; set; }
        [JsonProperty("diesel_purchase", DefaultValueHandling = DefaultValueHandling.Ignore)]
        public string DieselPurchase { get; set; }
        [JsonProperty("shift_end", DefaultValueHandling = DefaultValueHandling.Ignore)]
        public string ShiftEnd { get; set; }
        [JsonProperty("shift_start", DefaultValueHandling = DefaultValueHandling.Ignore)]
        public string ShiftStart { get; set; }
    }
}
