﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace PDA.API.WebModels
{
    public class PricedGood
    {
        [JsonProperty("goodcategory_id")]
        public int GoodCategoryId { get; set; }
        [JsonProperty("name")]
        public string Name { get; set; }
        [JsonProperty("order")]
        public int Order { get; set; }
        [JsonProperty("ewc_code_id")]
        public int EWCCode { get; set; }
        [JsonProperty("unit_of_measure")]
        public string UnitOfMeasure { get; set; }
        [JsonProperty("price_id")]
        public int PriceId { get; set; }
        [JsonProperty("price_value")]
        public int PriceValue { get; set; }
        [JsonProperty("price_scale")]
        public int PriceScale { get; set; }
        [JsonProperty("price_time_set")]
        public string PriceTimeSet { get; set; }
    }

    public class PricedGoodV2 : PricedGood
    {
        [JsonProperty("site_id")]
        public int SiteId { get; set; }
    }
}
