﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace PDA.API.WebModels
{
    public class VisitEntity
    {
        [JsonProperty("visit_id")]
        public int VisitId { get; set; }

        [JsonProperty("shift_id")]
        public int ShiftId { get; set; }
        [JsonProperty("site_id")]
        public int SiteId { get; set; }
        [JsonProperty("order")]
        public int Order { get; set; }
        [JsonProperty("suggest_time", DefaultValueHandling = DefaultValueHandling.Ignore)]
        public string SuggestTime { get; set; }
        [JsonProperty("start_time", DefaultValueHandling = DefaultValueHandling.Ignore)]
        public string StartTime { get; set; }
        [JsonProperty("complete_time", DefaultValueHandling = DefaultValueHandling.Ignore)]
        public string CompleteTime { get; set; }
        [JsonProperty("state")]
        public string State { get; set; }
        [JsonProperty("customer_name", DefaultValueHandling = DefaultValueHandling.Ignore)]
        public string CustomerName { get; set; }
        [JsonProperty("customer_signature", DefaultValueHandling = DefaultValueHandling.Ignore)]
        public string CustomerSignature { get; set; }
        [JsonProperty("total_payed_amount", DefaultValueHandling = DefaultValueHandling.Ignore)]
        public int TotalPayedAmount { get; set; }
        [JsonProperty("total_payed_scale", DefaultValueHandling = DefaultValueHandling.Ignore)]
        public int TotalPayedScale { get; set; }
        [JsonProperty("white_sacks")]
        public bool IsWhiteSacks { get; set; }
        [JsonProperty("clear_bags")]
        public int ClearBags { get; set; }
    }
}
