﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace PDA.API.WebModels
{
    public class VisitFailPostBody
    {
        [JsonProperty("visit_id")]
        public int VisitId { get; set; }
        [JsonProperty("emergency_id")]
        public int EmergencyId { get; set; }
        [JsonProperty("note_text", DefaultValueHandling = DefaultValueHandling.Ignore)]
        public string Notetext { get; set; }
        [JsonProperty("images")]
        public List<string> Images { get; set; }
        [JsonProperty("delayed_fail_time")]
        public DateTimeOffset? DelayedFailTime { get; set; }
       
    }
}
