﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace PDA.API.WebModels
{
    public class VisitResult
    {
        [JsonProperty("visit_id")]
        public int VisitId { get; set; }
        [JsonProperty("customer_name")]
        public string CustomerName { get; set; }
        [JsonProperty("customer_signature")]
        public string CustomerSignature { get; set; }
        [JsonProperty("note", DefaultValueHandling = DefaultValueHandling.Ignore)]
        public NoteEntity Note { get; set; }
        [JsonProperty("goods")]
        public List<GoodVisitResult> Goods { get; set; }
        [JsonProperty("delayed_complete_time")]
        public DateTimeOffset? DelayedCompleteTime { get; set; }
        [JsonProperty("white_sacks")]
        public bool IsWhiteSacks { get; set; }
        [JsonProperty("clear_bags")]
        public int ClearBags { get; set; }


    }
}
