package com.webssa.pda.sunmi.rest.model

import com.squareup.moshi.Json
import com.squareup.moshi.JsonClass
import com.webssa.pda.sunmi.rest.model.impl.EmergencyCategoryEntity
import com.webssa.pda.sunmi.rest.model.impl.ShiftRestEntity
import com.webssa.pda.sunmi.rest.model.impl.VisitEntity

@JsonClass(generateAdapter = true)
data class NotePostBody (

        @Json(name = "text")
        val text: String,

        @Json(name = "shift_id")
        val shiftId: LongId<ShiftRestEntity>,

        @Json(name = "visit_id")
        val optVisitId: LongId<VisitEntity>? = null,

        @Json(name = "opt_emergency_id")
        val optEmergId: LongId<EmergencyCategoryEntity>? = null
)