package com.webssa.pda.sunmi.rest.model

import android.net.Uri
import com.squareup.moshi.Json
import com.squareup.moshi.JsonClass
import com.webssa.pda.sunmi.rest.model.impl.EmergencyCategoryEntity
import com.webssa.pda.sunmi.rest.model.impl.VisitEntity
import java.util.*

@JsonClass(generateAdapter = true)
data class VisitFailPostBody (
        @Json(name = "visit_id")
        val visitId: LongId<VisitEntity>,

        @Json(name = "delayed_fail_time")
        val delayedFailTime: Date? = null,

        @Json(name = "emergency_id")
        val emergencyId: LongId<EmergencyCategoryEntity>? = null,

        @Json(name = "note_text")
        val optNoteText: String? = null,

        @Json(name = "images")
        val noteImages: List<Uri>? = Collections.unmodifiableList(Collections.emptyList())
)