package com.webssa.pda.sunmi.rest.model

import com.squareup.moshi.Json
import com.squareup.moshi.JsonClass
import com.webssa.pda.sunmi.rest.model.impl.CollectedGoodEntity
import com.webssa.pda.sunmi.rest.model.impl.NoteEntity
import com.webssa.pda.sunmi.rest.model.impl.VisitEntity

@JsonClass(generateAdapter = true)
data class VisitResponse (
        @Json(name = "visit")
        val visit: VisitEntity,

        @Json(name = "goods")
        val collectedGoods: List<CollectedGoodEntity>,

        @Json(name = "note")
        val relatedNote: NoteEntity? = null
)