package com.webssa.pda.sunmi.rest.model.impl

import com.squareup.moshi.Json
import com.squareup.moshi.JsonClass
import com.webssa.pda.sunmi.rest.model.IdProvidingModel
import com.webssa.pda.sunmi.rest.model.LongId


/**
 * This class is not implemented because it is not used on the client level directly
 * This stub is created just to parametrize LongId entity
 */
@JsonClass(generateAdapter = true)
data class PriceEntity(
        @Json(name = "price_id")
        val id: LongId<PriceEntity>
) : IdProvidingModel {

    override fun id(): LongId<PriceEntity> {
        return id
    }

}