package com.webssa.pda.sunmi.storage.dbhelper;

import com.webssa.pda.sunmi.rest.model.IdProvidingModel;
import com.webssa.pda.sunmi.rest.model.LongId;

import java.io.Closeable;
import java.util.Collection;

/**
 * Created by stanislav.perchenko on 10/18/2019.
 */
public interface RemoteEntrySaver<T extends IdProvidingModel> extends Closeable {

    LongId<T> createOrUpdateInLocalDB(T entry);
    int createOrUpdateMultipleEntries(Collection<T> entries);
    int deleteEntry(T entry);

    int deleteEntryById(LongId<T> id);
}
