package com.webssa.pda.sunmi.ui.activity;

import com.webssa.library.core.error.AppError;
import com.webssa.pda.sunmi.storage.dbmodel.impl.VisitDbModel;
import com.webssa.pda.sunmi.ui.baseview.ContextProvidingView;

/**
 * Created by stanislav.perchenko on 11/7/2019, 9:26 AM.
 */
public interface ScannerActivityView extends ContextProvidingView {

    void onScanned();
    void onVisitFound(VisitDbModel visit);
    void showVisitNotFound();

    void pausePreview();
    void resumePreview();

    void onStartVisitStartApi();
    void onEndVisitStartApi();

    void onVisitStarted(VisitDbModel visit);
    void onStartVisitFailed(AppError reason);

}
