package com.webssa.library.attachment.presenter;

import android.app.Activity;
import android.content.Context;

import com.webssa.library.attachment.model.CoverImportModel;

import java.io.File;

import androidx.annotation.NonNull;

/**
 * Created by Alex H. on 1/4/2017.
 */

public interface AttachAvatarView {

    Activity getActivity();

    void requestPermissionsForPresenter(@NonNull String[] permissions, int requestCode);

    void showProgressWithMessage(String message);
    void dismissProgressWithMessage();

    void onAttachmentImported(File coverImage);
    void finishWithResult(CoverImportModel cover);

    Context getContext();

    void close();
}

