package com.webssa.library.core.processor.model;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

import com.webssa.library.core.error.AppError;

public interface Callback<T> {

    void onSubscribe(@NonNull Disposable d);

    void onSuccess(@Nullable T result);

    void onError(@NonNull AppError reason);

    void onComplete(@NonNull Disposable d);
}
