package com.webssa.library.core.processor.model;

public interface Executable extends Disposable {

    int getSequenceNumber();

    void executeSynchronously() throws Exception;

    void onExceptionWhileExecuted(Exception e);

    void onExecuted();
}
