﻿using PDA.Database.EntityModels;
using PDA.Database.Models;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace PDA.BL.Interfaces
{
   public interface IDriverService
    {
        Task<User> GetDriverAsync(string id);
        Task<string> CheckDriverExists(string phone, string pin);
        Task<string> CheckDriverExistsEmail(string email, string pin);
        string GetUserRole(string id);
    }
}
