﻿using PDA.Database.EntityModels;
using PDA.Database.Models;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace PDA.BL.Interfaces
{
    public interface IShiftService
    {
        Task<Shift> FindNewShiftForDate(string userId);
        Task<Shift> AcceptShift(int shiftId);

        Task<Shift> RejectShift(int shiftId, string userId);
        Task<Shift> GetByShiftId(int shiftId, string userId);
        Task<Shift> CloseShift(int shiftId, DateTime closeTime, string userId);
    }
}
