﻿using PDA.BL.Interfaces;
using PDA.Database.EntityModels;
using PDA.Database.Interfaces;
using System;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace PDA.BL.Services
{
    public class GoodsService : IGoodsService
    {
        private readonly IGoodsRepository _goodsRepository;
        public GoodsService(IGoodsRepository goodsRepository) => _goodsRepository = goodsRepository;
        
        public async Task<List<Price>> GetAllGoods() => await _goodsRepository.GetAllGoods();

        public async Task<List<EWCCode>> GetEWCCodes() => await _goodsRepository.GetEWCCodes();
        
    }
}
