﻿using PDA.BL.Interfaces;
using PDA.Database.EntityModels;
using PDA.Database.Interfaces;
using PDA.Database.Models;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace PDA.BL.Services
{
    public class TokenService : ITokenService
    {
        private readonly ITokenRepository _tokenRepository;
        public TokenService(ITokenRepository tokenRepository) => _tokenRepository = tokenRepository;
        public async Task<UserToken> GenerateNewAccesssToken(string userId) => await _tokenRepository.GenerateNewAccesssToken(userId);
        public async Task<string> GetRefreshToken(string userId) => await _tokenRepository.GetRefreshToken(userId);
        public async Task<string> GetAccessTokenId(string userId) => await _tokenRepository.GetAccessTokenId(userId);
        public async Task<UserToken> GetAccessToken(string userId) => await _tokenRepository.GetAccessToken(userId);


    }
}
