﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Text;

namespace PDA.Database.EntityModels
{
    public class GoodCategory
    {
        [Key]
        public int GoodCategoryId { get; set; }
        [Column(TypeName = "varchar(64)")]
        public string Name { get; set; }
        public bool Deleted { get; set; }
        [Column(TypeName = "varchar(64)")]
        public string UnitOfMeasure { get; set; }
        public EWCCode EWCCode { get; set; }
        public int Order { get; set; }
        public  List<CollectedGood> CollectedGoods { get; set; }
        public  List<Price> Prices { get; set; }
    }
}
