﻿using PDA.Database.EntityModels;
using PDA.Database.Models;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace PDA.Database.Interfaces
{
    public interface IDriverRepository
    {
        Task<User> GetDriverByIdAsync(string id);
        Task<string> CheckDriverExists(string phone, string pin);
        Task<string> CheckDriverExistsEmail(string email, string pin);
        string GetUserRole(string id);
    }
}
