﻿using PDA.Database.EntityModels;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace PDA.Database.Interfaces
{
    public interface IGoodsRepository
    {
        Task<List<Price>> GetAllGoods();
        Task<List<EWCCode>> GetEWCCodes();
        Task SaveVisitGoods(List<CollectedGood> goods, int visitId);
        Task<List<CollectedGood>> GetVisitGoodsAsync(int visitId);
    }
}
