﻿using Microsoft.EntityFrameworkCore;
using PDA.Database.EntityModels;
using PDA.Database.Interfaces;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PDA.Database.Repositories
{
    public class SiteRepository : ISiteRepository
    {
        private readonly PDADbContext _context;
        public SiteRepository(PDADbContext context)
        {
            _context = context;
        }

        public async Task<IEnumerable<Site>> GetAllActive()
        {
            return await _context.Sites.Where(x => !x.Deleted).ToListAsync();
        }
    }
}
