﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace PDA.API.WebModels
{
    public class NoteEntity
    {
        [JsonProperty("note_id")]
        public int NoteId { get; set; }
        [JsonProperty("shift_id")]
        public int ShiftId { get; set; }
        [JsonProperty("visit_id", DefaultValueHandling = DefaultValueHandling.Ignore)]
        public int VisitId { get; set; }
        [JsonProperty("number")]
        public int Number { get; set; }
        [JsonProperty("author_id")]
        public string AuthorId { get; set; }
        [JsonProperty("time_created")]
        public string TimeCreated { get; set; }
        [JsonProperty("text")]
        public string Text { get; set; }
        [JsonProperty("images")]
        public List<string> Images { get; set; }
        [JsonProperty("opt_emergency_id", DefaultValueHandling = DefaultValueHandling.Ignore)]
        public int? OptEmergencyId { get; set; }
       
    }
}
