﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace PDA.API.WebModels
{
    public class ShiftEntity
    {
        [JsonProperty("shift_id")]
        public int ShiftId { get; set; }
        [JsonProperty("driver_id")]
        public string DriverId { get; set; }
        [JsonProperty("execution_date")]
        public string ExecutionDate { get; set; }
        [JsonProperty("scheduled_time_start", DefaultValueHandling = DefaultValueHandling.Ignore)]
        public string ScheduledTimeStart { get; set; }
        [JsonProperty("scheduled_duration", DefaultValueHandling = DefaultValueHandling.Ignore)]
        public string ScheduledDuration { get; set; }
        [JsonProperty("num_visits")]
        public int NumVisits { get; set; }
        [JsonProperty("num_visits_completed")]
        public int NumVisitsCompleted { get; set; }
        [JsonProperty("num_visits_failed")]
        public int NumVisitsFailed { get; set; }
        [JsonProperty("actual_time_start")]
        public string ActualTimeStart { get; set; }
        [JsonProperty("actual_time_closed")]
        public string ActualTimeClosed { get; set; }
        [JsonProperty("state")]
        public string State { get; set; }
    }
}
