﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace PDA.API.WebModels
{
    public class SiteEntity
    {
        [JsonProperty("site_id")]
        public int SiteId { get; set; }
        [JsonProperty("shop_name")]
        public string Name { get; set; }
        [JsonProperty("shop_code")]
        public int Code { get; set; }
        [JsonProperty("address_line_1", DefaultValueHandling = DefaultValueHandling.Ignore)]
        public string Address1 { get; set; }
        [JsonProperty("address_line_2", DefaultValueHandling = DefaultValueHandling.Ignore)]
        public string Address2 { get; set; }
        [JsonProperty("town", DefaultValueHandling = DefaultValueHandling.Ignore)]
        public string Town { get; set; }
        [JsonProperty("city", DefaultValueHandling = DefaultValueHandling.Ignore)]
        public string City { get; set; }
        [JsonProperty("postcode", DefaultValueHandling = DefaultValueHandling.Ignore)]
        public string Postcode { get; set; }
        [JsonProperty("latitude")]
        public double Latitude { get; set; }
        [JsonProperty("longitude")]
        public double Longitude { get; set; }
        [JsonProperty("uuid")]
        public string UUID { get; set; }

        [JsonProperty("payment_method")]
        public string PaymentMethod { get; set; }
        [JsonProperty("shop_code_name")]
        public string ShopCodeName { get; set; }
    }
}
