﻿using Newtonsoft.Json;

namespace PDA.API.WebModels
{
    public class UserEntity
    {
        [JsonProperty("user_id")]
        public string UserId { get; set; }
        [JsonProperty("registration_date")]
        public string RegistrationDate { get; set; }
        [JsonProperty("first_name")]
        public string FirstName { get; set; }
        [JsonProperty("surname")]
        public string LastName { get; set; }
        [JsonProperty("photo_url", DefaultValueHandling = DefaultValueHandling.Ignore)]
        public string PhotoUrl { get; set; }
        [JsonProperty("phone_number")]
        public string PhoneNumber { get; set; }
        [JsonProperty("email")]
        public string Email { get; set; }
        [JsonProperty("role")]
        public string Role { get; set; }
    }
}
