﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace PDA.API.WebModels
{
    public class VisitState
    {
        [JsonProperty("visit_id")]
        public int VisitId { get; set; }
        [JsonProperty("state")]
        public string State { get; set; }
        [JsonProperty("start_time", DefaultValueHandling = DefaultValueHandling.Ignore)]
        public string StartTime { get; set; }
        [JsonProperty("complete_time", DefaultValueHandling = DefaultValueHandling.Ignore)]
        public string CompleteTime { get; set; }
        [JsonProperty("note", DefaultValueHandling = DefaultValueHandling.Ignore)]
        public NoteEntity Note { get; set; }
    }
}
